Type to search.

Run a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/workflow/{id}/run
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Execute a workflow by its ID with the provided inputs. The workflow must be enabled and have a valid definition. Returns an execution ID that can be used to monitor progress.

Required privileges

Privileges workflowsManagement:execute

Path parameters

id string · max length: 255 required

Workflow ID

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

inputs map string to object required

Key-value inputs for the workflow execution.

metadata map string to object

Optional metadata for the execution.

Response

200

Indicates a successful response

application/json